Subject: Re: [PATCH net-next v3 11/11] wireguard: netlink: generate netlink code

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Nov 2025 17:00:45 -0800

On Tue, 18 Nov 2025 23:51:37 +0100 Jason A. Donenfeld wrote:
> I mean, there is *tons* of generated code in the kernel. This is how it
> works. And you *want the output to change when the tool changes*. That's
> literally the point. It would be like if you wanted to check in all the
> .o files, in case the compiler started generating different output, or
> if you wanted the objtool output or anything else to be checked in. And
> sheerly from a git perspective, it seems outrageous to touch a zillion
> files every time the ynl code changes. Rather, the fact that it's
> generated on the fly ensures that the ynl generator stays correctly
> implemented. It's the best way to keep that code from rotting.

CI checks validate that the files are up to date.
There has been no churn to the kernel side of the generated code.
Let's be practical.